## org.eclipse.wst.common.environment
Class EnvironmentService

    java.lang.Object
      org.eclipse.wst.common.environment.EnvironmentService

    public class EnvironmentService

extends java.lang.Object

This class creates a console environment. It also contains static conviences methods for creating an ILog object as well as an Eclipse and File Scheme.

Since:
  1.0

Constructor Summary
`EnvironmentService()`

Method Summary
`static IEnvironment` `getEclipseConsoleEnvironment()`
`static ILog` `getEclipseLog()`
`static IURIScheme` `getEclipseScheme()`
`static IURIScheme` `getFileScheme()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentService

    public EnvironmentService()

Method Detail

### getEclipseConsoleEnvironment

    public static IEnvironment getEclipseConsoleEnvironment()

  Returns:
    returns an Eclipse console environment.

### getEclipseLog

    public static ILog getEclipseLog()

  Returns:
    returns an Eclipse logger.

### getEclipseScheme

    public static IURIScheme getEclipseScheme()

  Returns:
    returns an Eclipse scheme.

### getFileScheme

    public static IURIScheme getFileScheme()

  Returns:
    returns a File scheme.